irbがない。apt-getしてもない。

Ubuntu7.04でirbが入ってない。
しかも

sudo apt-get install irb

でも無い。
 
うーん、なんで?
 
それじゃ、手動で入れるかと。
このUbuntuのパッケージサイトに行ってと
Ubuntu – Error

wget http://debian.cn99.com/ubuntu/pool/universe/r/ruby-defaults/irb_1.8.2-1_all.deb

.debを直接取ってから

sudo dpkg -i irb_1.8.2-1_all.deb

 
でも、依存関係があるのでダメ。
irb1.8、libreadline-ruby1.8も同じく.debでまるごと取って、
それぞれ、

sudo dpkg -i libreadline-ruby1.8_1.8.5-4ubuntu2_i386.deb
sudo dpkg -i irb1.8_1.8.5-4ubuntu2_all.deb

 

sudo dpkg -i irb_1.8.2-1_all.deb

で無事、「irb」打てました。
 
わおわお。